<?xml version="1.0" encoding="utf-8"?>
<?xml-model href="http://schemas.android.com/apk/res/android"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    package="com.dsa.emulator"
    android:versionCode="1"
    android:versionName="1.0">

    <uses-sdk android:minSdkVersion="23" android:targetSdkVersion="35" />
    <uses-feature android:glEsVersion="0x00020000" android:required="true" />
    <!-- <uses-permission android:name="android.permission.INTERNET" /> -->
    <uses-permission android:name="android.permission.READ_EXTERNAL_STORAGE" />
    <uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE" />

    <application
        android:label="DSA Emulator"
        android:icon="@mipmap/ic_launcher"
        android:hasCode="false"
        android:hardwareAccelerated="true">
        <activity
            android:name="android.app.NativeActivity"
            android:label="DSA Emulator"
            android:exported="true"
            android:configChanges="orientation|keyboardHidden|screenSize"
            android:screenOrientation="unspecified"
            android:launchMode="singleInstance">
            <meta-data
                android:name="android.app.lib_name"
                android:value="dsa_rs" />
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />
                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
        </activity>
    </application>
</manifest>
